Sets an image attribute

- « Imagick::setImageArtifact

- Imagick::setImageBackgroundColor »

- PHP Manual
- Imagick
- Sets an image attribute

# Imagick::setImageAttribute

(PECL imagick 2, PECL imagick 3)

Imagick::setImageAttribute — Sets an image attribute

Warning

This function has been DEPRECATED as of Imagick 3.4.4. Relying on this function is highly discouraged.

### Description

public Imagick::setImageAttribute(string `$key`, string `$value`): bool

Sets an image attribute.

### Parameters

`key`

`value`

### Return Values

Returns `true` on success.